/***********************************************************************

  FinalMix: Application.h
  by Martin Decky
  
  Redistribution of this file is permitted under the GNU Public License.

  0.9.0		Initial version
  0.9.1		No change
  0.9.2		MS Wave loader

***********************************************************************/

#ifndef _FM_APPLICATION_H_
#define _FM_APPLICATION_H_

#include <wx/app.h>

wxFrame * gParentFrame = NULL;

/** Main application calls.
 *
 * Main application class, derivated from wxApp. Defines two public methods,
 * OnInit (initialization) and OnExit (finalization).
 */

class Application : public wxApp {
	public:
		bool OnInit();					/**< Initialization */
		int OnExit();					/**< Finalization */
};

#endif
