/***********************************************************************

  FinalMix: Devices.cpp
  by Martin Decky
  
  Redistribution of this file is permitted under the GNU Public License.

  0.9.2		Initial

***********************************************************************/

#include "generic.h"
#include "Devices.h"
#include "DeviceOSS.h"
#include "DeviceMM.h"
#include "Project.h"

void DevicesRegister() {
#ifdef _FM_DEVICEOSS_H_
	project.RegisterDevice(&OSSDevice::RegisterDevice);
#endif
#ifdef _FM_DEVICEMM_H_
	project.RegisterDevice(&MMDevice::RegisterDevice);
#endif
}
